DefaultUrlMappingEvaluator.MappingCapturingClosure (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingEvaluator.MappingCapturingClosure

- org.grails.web.mapping.DefaultUrlMappingEvaluator.MappingCapturingClosure

-     @java.lang.SuppressWarnings("rawtypes")
      class DefaultUrlMappingEvaluator.MappingCapturingClosure
      extends groovy.lang.Closure

  A Closure that captures a call to a method that accepts a single closure

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private groovy.lang.Closure<?>` | `mappings` |
    `private static long` | `serialVersionUID` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class groovy.lang.Closure` | `OWNER_FIRST, DELEGATE_FIRST, OWNER_ONLY, DELEGATE_ONLY, TO_SELF, DONE, SKIP, IDENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MappingCapturingClosure (java.lang.Object o)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `call(java.lang.Object args)`
    `` | `public groovy.lang.Closure<?>` | `getMappings()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.Closure` | `groovy.lang.Closure#andThen(groovy.lang.Closure), groovy.lang.Closure#call([Ljava.lang.Object;), groovy.lang.Closure#call(java.lang.Object), groovy.lang.Closure#call(), groovy.lang.Closure#setDelegate(java.lang.Object), groovy.lang.Closure#leftShift(java.lang.Object), groovy.lang.Closure#leftShift(groovy.lang.Closure), groovy.lang.Closure#memoize(), groovy.lang.Closure#dehydrate(), groovy.lang.Closure#getMaximumNumberOfParameters(), groovy.lang.Closure#setResolveStrategy(int), groovy.lang.Closure#getResolveStrategy(), groovy.lang.Closure#getThisObject(), groovy.lang.Closure#getDirective(), groovy.lang.Closure#setDirective(int), groovy.lang.Closure#isCase(java.lang.Object), groovy.lang.Closure#asWritable(), groovy.lang.Closure#curry([Ljava.lang.Object;), groovy.lang.Closure#curry(java.lang.Object), groovy.lang.Closure#rcurry([Ljava.lang.Object;), groovy.lang.Closure#rcurry(java.lang.Object), groovy.lang.Closure#ncurry(int, [Ljava.lang.Object;), groovy.lang.Closure#ncurry(int, java.lang.Object), groovy.lang.Closure#rightShift(groovy.lang.Closure), groovy.lang.Closure#andThenSelf(), groovy.lang.Closure#andThenSelf(int), groovy.lang.Closure#composeSelf(int), groovy.lang.Closure#composeSelf(), groovy.lang.Closure#memoizeAtMost(int), groovy.lang.Closure#memoizeAtLeast(int), groovy.lang.Closure#memoizeBetween(int, int), groovy.lang.Closure#trampoline(), groovy.lang.Closure#trampoline([Ljava.lang.Object;), groovy.lang.Closure#rehydrate(java.lang.Object, java.lang.Object, java.lang.Object), groovy.lang.Closure#compose(groovy.lang.Closure), groovy.lang.Closure#getDelegate(), groovy.lang.Closure#run(), groovy.lang.Closure#getProperty(java.lang.String), groovy.lang.Closure#clone(), groovy.lang.Closure#getParameterTypes(), groovy.lang.Closure#setProperty(java.lang.String, java.lang.Object), groovy.lang.Closure#getOwner(), groovy.lang.Closure#getMetaClass(), groovy.lang.Closure#setMetaClass(groovy.lang.MetaClass), groovy.lang.Closure#wait(long), groovy.lang.Closure#wait(long, int), groovy.lang.Closure#wait(), groovy.lang.Closure#equals(java.lang.Object), groovy.lang.Closure#toString(), groovy.lang.Closure#hashCode(), groovy.lang.Closure#getClass(), groovy.lang.Closure#notify(), groovy.lang.Closure#notifyAll(), groovy.lang.Closure#invokeMethod(java.lang.String, java.lang.Object)`

- - ### Field Detail

    - #### private groovy.lang.Closure<?> mappings

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public MappingCapturingClosure(java.lang.Object o)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object call(java.lang.Object args)

    - #### public groovy.lang.Closure<?> getMappings()